# $Revision: 1.85 $, $Date: 2009/02/23 22:12:49 $
#
# TODO:
#   - think how to handle /etc/ha.d/haresources file, which is v1 config file
#   and should not exist if v2 configuration is enabled ("crm yes", default is
#   "no").
#
%include	/usr/lib/rpm/macros.perl
Summary:	Heartbeat - subsystem for High-Availability Linux
Summary(es.UTF-8):	Subsistema heartbeat para Linux "High-Availability"
Summary(pl.UTF-8):	Podsystem heartbeat dla systemów o podwyższonej niezawodności
Summary(pt_BR.UTF-8):	Implementa sistema de monitoração (heartbeats) visando Alta Disponibilidade
Name:		heartbeat
Version:	2.1.3
Release:	9
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.linux-ha.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	bca53530a3802f7677772323047405cd
Source1:	%{name}.init
Source2:	ldirectord.init
Patch0:		%{name}-ac.patch
Patch1:		%{name}-no_ipmilan_test.patch
URL:		http://www.linux-ha.org/Heartbeat
BuildRequires:	OpenIPMI-devel >= 2.0.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gdbm-devel
BuildRequires:	glib2-devel
BuildRequires:	gnutls-devel
BuildRequires:	libltdl-devel
BuildRequires:	libnet-devel >= 1.1.0
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libwrap-devel
BuildRequires:	libxml2-devel
BuildRequires:	lm_sensors-devel
BuildRequires:	ncurses-devel >= 5.4
BuildRequires:	net-snmp-devel >= 5.1
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	swig-perl >= 1.3.25
BuildRequires:	swig-python >= 1.3.25
Requires(post,postun):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	psmisc >= 22.5-2
Requires:	rc-scripts
Requires:	syslogdaemon
Requires:	which
Provides:	group(haclient)
Provides:	user(hacluster)
# disappeared
Obsoletes:	perl-heartbeat
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags		-fgnu89-inline
%define		filterout_ld	-Wl,--as-needed

%description
heartbeat is a basic heartbeat subsystem for Linux-HA. It will run
scripts at initialization, and when machines go up or down. This
version will also perform IP address takeover using gratuitous ARPs.
It works correctly for a 2-node configuration, and is extensible to
larger configurations.

It implements the following kinds of heartbeats:
 - Bidirectional Serial Rings ("raw" serial ports)

%description -l es.UTF-8
heartbeat es un sistema básico para Linux-HA. La función de este
software es ejecutar scripts en la inicialización y al apagar las
máquinas que lo utilizan.

%description -l pl.UTF-8
heartbeat jest podstawowym podsystemem dla systemów o podwyższonej
dostępności budowanych w oparciu o Linuksa. Zajmuje się uruchamianiem
skryptów podczas startu i zamykania systemu. Ta wersja pakietu pozwala
na przejmowanie adresów IP. Oprogramowanie działa poprawnie dla
konfiguracji składającej się z 2 hostów, można je również stosować do
bardziej skomplikowanych konfiguracji.

%package stonith
Summary:	Provides an interface to Shoot The Other Node In The Head
Summary(pl.UTF-8):	Interfejs do "odstrzelenia" drugiego węzła w klastrze
Group:		Applications/System
Requires:	OpenIPMI >= 2.0.3

%description stonith
Provides an interface to Shoot The Other Node In The Head.

%description stonith -l pl.UTF-8
STONITH (Shoot The Other Node In The Head) to interfejs służący do
"odstrzelenia" drugiego węzła w klastrze.

%package ldirectord
Summary:	Monitor virtual services provided by LVS
Summary(pl.UTF-8):	Demon monitorujący wirtualne usługi dostarczane poprzez LVS
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	ipvsadm
Requires:	rc-scripts

%description ldirectord
ldirectord is a stand-alone daemon to monitor services of real for
virtual services provided by The Linux Virtual Server
(http://www.linuxvirtualserver.org/).

%description ldirectord -l pl.UTF-8
ldirectord to samodzielny demon monitorujący rzeczywiste usługi dla
wirtualnych usług dostarczanych poprzez Linux Virtual Server
(http://www.linuxvirtualserver.org/).

%package devel
Summary:	Heartbeat developement header files and libraries
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki heartbeat
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Heartbeat developement header files and libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki heartbeat.

%package static
Summary:	Heartbeat static libraries
Summary(pl.UTF-8):	Biblioteki statyczne heartbeat
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Heartbeat static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne heartbeat.

%package cts
Summary:	Cluster Test Suite
Summary(pl.UTF-8):	Zestaw testów klastra
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description cts
Cluster Test Suite for heartbeat.

%description cts -l pl.UTF-8
Zestaw testów klastra opartego o heartbeat.

%package gui
Summary:	Heartbeat GUI
Summary(pl.UTF-8):	Graficzny interfejs użytkownika dla heartbeat
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description gui
Graphical user interface for heartbeat.

%description gui -l pl.UTF-8
Graficzny interfejs użytkownika dla heartbeat.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm -rf libltdl

%build
%{__libtoolize} --ltdl
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	FSCK=/sbin/fsck \
	FUSER=/bin/fuser \
	IPTABLES=/usr/sbin/iptables \
	MAILCMD=/bin/mail \
	MOUNT=/bin/mount \
	PING=/bin/ping \
	--with-initdir=/etc/rc.d/init.d \
	--enable-fatal-warnings=no \
	--enable-crm \
	--enable-lrm \
	--enable-mgmt \
	--enable-snmp-subagent

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/run/heartbeat

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/ha.d/resource.d/ldirectord
ln -sf %{_sbindir}/ldirectord $RPM_BUILD_ROOT%{_sysconfdir}/ha.d/resource.d/ldirectord

# plugins are lt_dlopened, but using *.so names, so *.la are not used
rm -f $RPM_BUILD_ROOT%{_libdir}/{heartbeat,pils,stonith}/plugins/*/*.{la,a}

rm -f $RPM_BUILD_ROOT/etc/rc.d/init.d/heartbeat
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/heartbeat

> $RPM_BUILD_ROOT/etc/ha.d/haresources
echo -e "auth 2\n2 crc" > $RPM_BUILD_ROOT/etc/ha.d/authkeys
install doc/ha.cf $RPM_BUILD_ROOT/etc/ha.d

rm -f $RPM_BUILD_ROOT/etc/rc.d/init.d/ldirectord
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/ldirectord
install ldirectord/ldirectord.cf $RPM_BUILD_ROOT%{_sysconfdir}/ha.d

rm -f $RPM_BUILD_ROOT%{_datadir}/heartbeat/cts/README

for tool in ha_logger hb_addnode hb_delnode hb_standby hb_takeover; do
	ln -sf %{_libdir}/heartbeat/$tool $RPM_BUILD_ROOT%{_bindir}
done

sed -i -e's, /%{_lib}/libpam.la, /usr/%{_lib}/libpam.la,g' $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang haclient

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 60 haclient
%useradd -u 17 -d /var/lib/heartbeat/cores/hacluster -c "Heartbeat User" -g haclient hacluster

%post
/sbin/ldconfig
/sbin/chkconfig --add heartbeat
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del heartbeat
fi

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%userremove hacluster
	%groupremove haclient
fi

%post	stonith -p /sbin/ldconfig
%postun	stonith -p /sbin/ldconfig

%files -f haclient.lang
%defattr(644,root,root,755)
%doc doc/{*.html,AUTHORS,apphbd.cf,authkeys,ha.cf,logd.cf,haresources,startstop}
%attr(755,root,root) %{_libdir}/libapphb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libapphb.so.0
%attr(755,root,root) %{_libdir}/libccmclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libccmclient.so.1
%attr(755,root,root) %{_libdir}/libcib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcib.so.1
%attr(755,root,root) %{_libdir}/libclm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclm.so.1
%attr(755,root,root) %{_libdir}/libcrmcommon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcrmcommon.so.1
%attr(755,root,root) %{_libdir}/libhbclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhbclient.so.1
%attr(755,root,root) %{_libdir}/libhbmgmt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhbmgmt.so.0
%attr(755,root,root) %{_libdir}/libhbmgmtclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhbmgmtclient.so.0
%attr(755,root,root) %{_libdir}/libhbmgmtcommon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhbmgmtcommon.so.0
%attr(755,root,root) %{_libdir}/libhbmgmttls.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhbmgmttls.so.0
%attr(755,root,root) %{_libdir}/liblrm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblrm.so.0
%attr(755,root,root) %{_libdir}/libpe_rules.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpe_rules.so.2
%attr(755,root,root) %{_libdir}/libpe_status.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpe_status.so.2
%attr(755,root,root) %{_libdir}/libpengine.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpengine.so.3
%attr(755,root,root) %{_libdir}/libpils.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpils.so.1
%attr(755,root,root) %{_libdir}/libplumb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplumb.so.1
%attr(755,root,root) %{_libdir}/libplumbgpl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplumbgpl.so.1
%attr(755,root,root) %{_libdir}/librecoverymgr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librecoverymgr.so.1
%attr(755,root,root) %{_libdir}/libstonith.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libstonith.so.1
%attr(755,root,root) %{_libdir}/libstonithd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libstonithd.so.0
%attr(755,root,root) %{_libdir}/libtransitioner.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtransitioner.so.1
%dir %{_libdir}/heartbeat
%dir %{_libdir}/heartbeat/plugins
%dir %{_libdir}/heartbeat/plugins/*
%attr(755,root,root) %{_libdir}/heartbeat/plugins/*/*.so
%attr(755,root,root) %{_libdir}/heartbeat/[!cp]*
%attr(755,root,root) %{_libdir}/heartbeat/c[!t]*
%attr(755,root,root) %{_libdir}/heartbeat/p[!l]*
%dir %{_libdir}/pils
%dir %{_libdir}/pils/plugins
%dir %{_libdir}/pils/plugins/*
%dir %{_datadir}/heartbeat
%attr(755,root,root) %{_datadir}/heartbeat/BasicSanityCheck
%attr(755,root,root) %{_datadir}/heartbeat/ResourceManager
%attr(755,root,root) %{_datadir}/heartbeat/SNMPAgentSanityCheck
%attr(755,root,root) %{_datadir}/heartbeat/TestHeartbeatComm
%attr(755,root,root) %{_datadir}/heartbeat/ha_*
%attr(755,root,root) %{_datadir}/heartbeat/hb_*
%attr(755,root,root) %{_datadir}/heartbeat/lrmtest
%attr(755,root,root) %{_datadir}/heartbeat/mach_down
%attr(755,root,root) %{_datadir}/heartbeat/req_resource
%attr(755,root,root) %{_datadir}/heartbeat/utillib.sh
%{_datadir}/heartbeat/crm.dtd
%attr(755,root,root) %{_libdir}/pils/plugins/*/*.so
%dir %{_sysconfdir}/ha.d
%attr(755,root,root) %{_sysconfdir}/ha.d/rc.d
%attr(755,root,root) %{_sysconfdir}/ha.d/resource.d
%exclude %{_sysconfdir}/ha.d/resource.d/ldirectord
%{_sysconfdir}/ha.d/README.config
%attr(755,root,root) %{_sysconfdir}/ha.d/harc
%{_sysconfdir}/ha.d/shellfuncs
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/hbmgmtd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/heartbeat
%attr(754,root,root) /etc/rc.d/init.d/heartbeat
%attr(755,root,root) %{_prefix}/lib/ocf
%dir /var/run/heartbeat
%attr(750,hacluster,haclient) %dir /var/run/heartbeat/ccm
%attr(750,hacluster,haclient) %dir /var/run/heartbeat/crm
%dir /var/lib/heartbeat
%attr(770,root,haclient) %dir /var/lib/heartbeat/lrm
%attr(770,root,haclient) %dir /var/lib/heartbeat/mgmt
%attr(750,hacluster,haclient) %dir /var/lib/heartbeat/pengine
%attr(750,hacluster,haclient) %dir /var/lib/heartbeat/crm
%attr(750,root,haclient) %dir /var/lib/heartbeat/fencing
%attr(711,root,root) %dir /var/lib/heartbeat/cores
%attr(700,root,root) %dir /var/lib/heartbeat/cores/root
# we don't want any files owned by nobody
%attr(700,root,root) %dir /var/lib/heartbeat/cores/nobody
%attr(700,hacluster,root) %dir /var/lib/heartbeat/cores/hacluster
%{_mandir}/man1/*.1*
%{_mandir}/man8/[a-h]*.8*
%attr(755,root,root) %{_bindir}/cl_respawn
%attr(2755,root,haclient) %{_bindir}/cl_status
%attr(755,root,root) %{_bindir}/ha_logger
%attr(755,root,root) %{_bindir}/hb_addnode
%attr(755,root,root) %{_bindir}/hb_delnode
%attr(755,root,root) %{_bindir}/hb_standby
%attr(755,root,root) %{_bindir}/hb_takeover
%attr(755,root,root) %{_sbindir}/[a-i]*
%attr(755,root,root) %{_sbindir}/ptest
%attr(755,root,root) %{_sbindir}/ocf-tester
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/ha.d/haresources
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/ha.d/authkeys
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/ha.d/ha.cf
%{_datadir}/snmp/mibs/*mib

%files stonith
%defattr(644,root,root,755)
%dir %{_libdir}/stonith
%dir %{_libdir}/stonith/plugins
%dir %{_libdir}/stonith/plugins/external
%dir %{_libdir}/stonith/plugins/stonith2
%attr(755,root,root) %{_libdir}/stonith/plugins/*/*
%attr(755,root,root) %{_sbindir}/meatclient
%attr(755,root,root) %{_sbindir}/stonith
%dir %{_datadir}/heartbeat/stonithdtest
%attr(755,root,root) %{_datadir}/heartbeat/stonithdtest/STONITHDBasicSanityCheck
%{_mandir}/man8/stonith.8*
%{_mandir}/man8/meatclient.8*

%files ldirectord
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/ha.d/ldirectord.cf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/ldirectord
%attr(755,root,root) %{_sysconfdir}/ha.d/resource.d/ldirectord
%attr(754,root,root) /etc/rc.d/init.d/ldirectord
%attr(755,root,root) %{_sbindir}/*ldirectord*
%{_mandir}/man8/*ldirectord*.8*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%files cts
%defattr(644,root,root,755)
%doc cts/README
%dir %{_datadir}/heartbeat/cts
%attr(755,root,root) %{_datadir}/heartbeat/cts/*.py
%{_datadir}/heartbeat/cts/*.py[co]
%attr(755,root,root) %{_datadir}/heartbeat/cts/*.sh
%attr(755,root,root) %{_datadir}/heartbeat/cts/*Dummy

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hb_gui
%dir %{_libdir}/heartbeat-gui
%attr(755,root,root) %{_libdir}/heartbeat-gui/*.so.*
%attr(755,root,root) %{_libdir}/heartbeat-gui/_pymgmt.so
%{_libdir}/heartbeat-gui/*.a
%{_libdir}/heartbeat-gui/*.la
%attr(755,root,root) %{_libdir}/heartbeat-gui/*.py
%dir %{_datadir}/heartbeat-gui
%{_datadir}/heartbeat-gui/*.png
%attr(755,root,root) %{_datadir}/heartbeat-gui/*.py
%{_datadir}/heartbeat-gui/haclient.glade

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: heartbeat.spec,v $
Revision 1.85  2009/02/23 22:12:49  arekm
- release 9

Revision 1.84  2009/02/23 22:06:00  arekm
- release 8

Revision 1.83  2008/12/23 12:07:03  mguevara
- added req which (needed by Filesystem)

Revision 1.82  2008/09/17 12:20:12  paszczus
- added _pymgmt.so required by gui

Revision 1.81  2008/09/07 18:55:06  adamg
- release 6 (against libltdl-2.2.6-1)

Revision 1.80  2008/06/16 07:09:58  arekm
- rel 5

Revision 1.79  2008-05-16 14:39:07  glen
- disable -Werror
- verbose libs, ghost soname symlinks
- update urls; rel 4

Revision 1.78  2008-01-13 09:49:11  qboosh
- updated md5

Revision 1.77  2007-12-22 04:56:35  zbyniu
- up to 2.1.3

Revision 1.76  2007-11-30 13:51:17  glen
- adapter, tabs

Revision 1.75  2007-09-13 12:38:33  jajcus
- Version: 2.1.2
- impilan_test building disabled
- "-fgnu89-inline" enabled, "-Wl,--as-needed" disabled
- "gui" subpackage added (not tested)
- ha_logger, hb_addnode, hb_delnode, hb_standby and hb_takeover utilities linked to %{_bindir}
- /var/run/heartbeat and /var/lib/heartbeat subdirs packaged

Revision 1.74  2007/05/15 16:14:47  qboosh
- really updated fuser path

Revision 1.73  2007/05/15 15:02:29  arvenil
- mv /sbin/fuser /bin/fuser (because KDE and users want it in PATH)

Revision 1.72  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.71  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.70  2007/01/27 23:41:50  zbyniu
- up to 2.0.8

Revision 1.69  2007/01/27 22:01:40  zbyniu
- type patch added; pack .py[co] not .py

Revision 1.68  2006/08/22 11:57:35  qboosh
- added mgmt BRs

Revision 1.67  2006/08/22 11:31:22  qboosh
- runtime OpenIPMI dependency

Revision 1.66  2006/08/22 09:22:01  qboosh
- updated to 2.0.7 (fixes CVE-2006-3121)

Revision 1.65  2006/08/22 07:29:16  qboosh
- removed obsolete chld patch

Revision 1.64  2006/08/16 10:43:25  qboosh
- added CVE reference to previous commit message
- O: perl-heartbeat

Revision 1.63  2006/08/12 23:49:11  zbyniu
- up to 2.0.6, cleanups
[fixes CVE-2006-3815]

Revision 1.62  2006/06/26 00:02:34  adamg
- updated to 2.0.5

Revision 1.61  2006/05/25 23:04:53  qboosh
- unified

Revision 1.60  2006/05/25 22:33:22  wiget
- missing lang code

Revision 1.59  2006/03/24 15:03:05  zbyniu
- up to 2.0.4

Revision 1.58  2005/12/27 15:01:52  zbyniu
- BR: OpenIPMI-devel >= 2.0.3, remove hack
- cts subpackage to get free from python R:

Revision 1.57  2005/12/06 11:21:16  zbyniu
- up to 2.0.2; perl-heartbeat temporary commented out, because it disappeared

Revision 1.56  2005/06/27 00:15:20  saq
- as of 1.3.25, swig subpackages actually contain something useful

Revision 1.55  2005/06/15 08:01:14  qboosh
- cl_status is expected to be sgid haclient

Revision 1.54  2005/06/14 13:56:13  qboosh
- added chld patch, release 0.4

Revision 1.53  2005/06/03 11:03:50  qboosh
- ac patch is back (updated)

Revision 1.52  2005/06/03 10:24:55  qboosh
- added sh patch (kill bashisms in configure)
- added ipmi patch, use OpenIPMI 2.0.0
- added missing files, separated perl binding
- BR: perl-devel >= 5.8.1, swig-perl actually not needed

Revision 1.51  2005/06/03 09:12:06  qboosh
- BR: swig-perl

Revision 1.50  2005/06/02 20:57:13  ankry
- tabs

Revision 1.49  2005/06/02 20:30:19  qboosh
- pl for new -ldirectord desc
- reverted files duplicate

Revision 1.48  2005/06/02 20:04:08  zbyniu
- R: for useradd macro
- more files
- better summaries and descriptions

Revision 1.47  2005/06/02 19:21:23  qboosh
- pl for new packages, some cleanups

Revision 1.46  2005/05/27 01:04:58  zbyniu
- up to 1.99.5, many changes, start way to proper PLD reality

Revision 1.45  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.44  2004/10/17 06:39:55  ankry
- %groupremove support, some unification

Revision 1.43  2004/03/16 16:05:40  qboosh
- files and deps updates

Revision 1.42  2004/03/16 13:20:15  qboosh
- updated to 1.2.0; files still incomplete

Revision 1.41  2004/03/16 12:20:10  qboosh
- removed obsolete patches

Revision 1.40  2004/03/15 16:07:34  qboosh
- some spec updates

Revision 1.39  2004/01/21 02:19:06  hunter
- up to 1.1.3
- NYF

Revision 1.38  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.37  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.36  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 05:48:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/05/17 05:59:35  pascalek
- revert user changes

Revision 1.33  2003/05/10 10:14:45  pascalek
- Req user-haclient

Revision 1.32  2003/02/28 10:07:57  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.31  2002/12/07 23:49:19  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.30  2002/12/07 14:33:05  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.29  2002/09/02 12:14:08  blues
- 0.4.9.1 - updated patches, few new, some cleanups
- at least builds now, but still needs some work

Revision 1.28  2002/08/26 10:51:09  qboosh
- GPL v2+

Revision 1.27  2002/08/22 01:33:55  kloczek
- release 4: s/GPL/GPL v2/ in License and merge translations from Conectiva.

Revision 1.26  2002/08/17 21:00:43  qboosh
- better message in pre, new %doc

Revision 1.25  2002/07/03 09:24:04  wolf
- spelling

Revision 1.24  2002/04/25 16:33:26  arturs
- fixed a small typo

Revision 1.23  2002/04/04 18:00:24  ankry
- fixed build, requirements, some file location & attributes, gzipped doc
  Not tested yet

Revision 1.22  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:13:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/12 11:21:35  qboosh
- adapterized, Group changed to Applications/System, try to fix scripts

Revision 1.18  2001/09/24 13:27:26  qboosh
- Prereq: /sbin/chkconfig; large part of spec (at least scripts) should be rewritten

Revision 1.17  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.16  2001/07/26 04:50:55  agaran
- typo in group

Revision 1.15  2001/07/26 04:50:00  agaran
- just adapterized, changed group
